Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.monitor.api.adhoc
Interface AdhocServiceInfo

Deprecated. As of version 8, no replacement.

    public interface AdhocServiceInfo

This `AdhocServiceInfo` takes charge of recording a JReport Analysis Service's information.

Method Summary
`java.lang.String[]` | `getEngines()` Deprecated. Gets all of JReport Analysis Engines' description within the Service.
`long` | `getLastAccessedTime()` Deprecated. Gets the last accessed time of this Service Session.
`java.lang.String[]` | `getReportSets()` Deprecated. Gets all open report setsĄŻ file names in this Service.
`java.lang.String` | `getSessionID()` Deprecated. Gets the Service's session ID.
`long` | `getStartedTime()` Deprecated. Gets the started time of this Service Session.
`java.lang.String` | `getStatus()` Deprecated. Gets the JReport Analysis Service's status, running-process track point.
`java.lang.String` | `getUserName()` Deprecated. Gets the user name associated with this Service session.

Method Detail

### getSessionID

    java.lang.String getSessionID()

  Deprecated.
  Gets the Service's session ID.

  Returns:
    The Service's session ID.

### getUserName

    java.lang.String getUserName()

  Deprecated.
  Gets the user name associated with this Service session.

  Returns:
    The user name associated with this Service session.

### getEngines

    java.lang.String[] getEngines()

  Deprecated.
  Gets all of JReport Analysis Engines' description within the Service.

  Returns:
    All of JReport Analysis Engines' names or ids within the Service.

### getStartedTime

    long getStartedTime()

  Deprecated.
  Gets the started time of this Service Session.

  Returns:
    The started time of this Service Session.

### getLastAccessedTime

    long getLastAccessedTime()

  Deprecated.
  Gets the last accessed time of this Service Session.

  Returns:
    The last accessed time of this Service Session.

### getStatus

    java.lang.String getStatus()

  Deprecated.
  Gets the JReport Analysis Service's status, running-process track point.

  Returns:
    The Service's status.

### getReportSets

    java.lang.String[] getReportSets()

  Deprecated.
  Gets all open report setsĄŻ file names in this Service.

  Returns:
    All open report setsĄŻ file names in this Service.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD